<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <link rel="stylesheet" href="../CSS/css.css" />

  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.0/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/proj4js/2.3.3/proj4.js"></script>
  <!-- Openlayers -->
  <link rel="stylesheet" href="https://openlayers.org/en/latest/css/ol.css" />
  <script type="text/javascript" src="https://openlayers.org/en/latest/build/ol.js"></script>
  <script
    src="https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList,URL,Object.assign"></script>
  <!-- ol-ext -->
  <link rel="stylesheet" href="https://cdn.rawgit.com/Viglino/ol-ext/master/dist/ol-ext.min.css" />
  <script type="text/javascript" src="https://cdn.rawgit.com/Viglino/ol-ext/master/dist/ol-ext.min.js"></script>
  <!-- FontAwesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <!-- jQuery -->
  <script type="text/javascript" src="https://code.jquery.com/jquery-1.11.0.min.js"></script>
  <link rel="stylesheet" href="../CSS/style.css" />

  <!-- Bootstrap -->
  <!-- CSS only -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <!-- JavaScript Bundle with Popper -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

  <!-- chart -->
  <script src="//cdn.amcharts.com/lib/5/index.js"></script>
  <script src="//cdn.amcharts.com/lib/5/xy.js"></script>
  <script src="//cdn.amcharts.com/lib/5/themes/Animated.js"></script>

  <script src="//www.amcharts.com/lib/4/core.js"></script>
  <script src="//www.amcharts.com/lib/4/charts.js"></script>
  <script src="//www.amcharts.com/lib/4/themes/animated.js"></script>



</head>

<body>
  <!--navbar-->
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">

      <select class="form-select" id="selected_season" aria-label="Default select example">
        <option value="" selected disabled hidden>Seasons</option>
        <option value="Autumn">Autumn</option>
        <option value="Summer">Summer</option>
        <option value="Spring">Spring</option>

      </select>
      
    </div>
    <div id="checkbox">
      <button class="btn btn-outline-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown"
        aria-expanded="false">Dropdown</button>
      <ul class="dropdown-menu">
        <li><input class="form-check-input" type="checkbox" value="" id="check1">
          <label class="form-check-label" for="check1">
           Study Area
          </label>
        </li>
        <li>
          <hr class="dropdown-divider">
        </li>
        <li><input class="form-check-input" type="checkbox" value="" id="check2">
          <label class="form-check-label" for="check2">
           Summer foraging area
          </label>
        </li>
        <li><input class="form-check-input" type="checkbox" value="" id="check3">
          <label class="form-check-label" for="chek3">
           Autumn foraging area
          </label>
        </li>
        <li><input class="form-check-input" type="checkbox" value="" id="check4">
          <label class="form-check-label" for="check4">
           Spring foraging area
          </label>
        </li>

      </ul>

    </div>
  </nav>


  <!--map division-->
  <div id="map" style="margin-top:10px" class="map">
   

  </div>

  <label for="customRange3" class="form-label">Radius size</label>
  <input id="radius" type="range" class="form-range" min="1" max="50" step="1" value="5" />
  <label for="customRange3" class="form-label">Blur size</label>
  <input id="blur" type="range" class="form-range" min="1" max="50" step="1" value="15" />


  <!-- SUMMER -->
  <!-- Button trigger modal -->
  <button type="button" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
    <img
      src="https://img.icons8.com/external-filled-agus-raharjo/64/000000/external-arrow-social-media-filled-agus-raharjo.png" />
  </button>

  <!-- Modal -->
  <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">Summer Statistics</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <br class="modal-body">
        <div id="chartdiv"></div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        </div>
      </div>


    </div>
  </div>

  <!-- AUTUMN -->
  <!-- Button trigger modal -->
  <button type="button" data-bs-toggle="modal" data-bs-target="#staticBackdrop2">
    <img
      src="https://img.icons8.com/external-filled-agus-raharjo/64/000000/external-arrow-social-media-filled-agus-raharjo.png" />
  </button>

  <!-- Modal -->
  <div class="modal fade" id="staticBackdrop2" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">Autumn Statistics</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <br class="modal-body">
        <div id="chartdiv_autumn"></div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        </div>
      </div>


    </div>
  </div>

  <!-- SPRING -->
  <!-- Button trigger modal -->
  <button type="button" data-bs-toggle="modal" data-bs-target="#staticBackdrop3">
    <img
      src="https://img.icons8.com/external-filled-agus-raharjo/64/000000/external-arrow-social-media-filled-agus-raharjo.png" />
  </button>

  <!-- Modal -->
  <div class="modal fade" id="staticBackdrop3" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">Spring Statistics</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <br class="modal-body">
        <div id="chartdiv_spring"></div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        </div>
      </div>


    </div>
  </div>

  <!-- pourcentage -->
  <div class="form-group">
    <label for="percent">Name:</label>
    <input type="number" class="form-control" id="percent">
  </div>

  <!-- choix de saison + % -->
  <select class="form-select" id="selected_season_prc" aria-label="Default select example">
    <option value="" selected disabled hidden>Seasons</option>
    <option value="Spring_prc">Spring</option>
    <option value="Autumn_prc">Autumn</option>
    <option value="Summer_prc">Summer</option>
  </select>

  </div>


  <script type="text/javascript" src="../JS/map.js"></script>
  <script type="text/javascript" src="../JS/statistics.js"></script>
  <script type="text/javascript" src="../JS/heatmap.js"></script>
  <script type="text/javascript" src="../JS/Statistic_Summer.js"></script>
  <script type="text/javascript" src="../JS/Statistic_Autumn.js"></script>
  <script type="text/javascript" src="../JS/Statistic_Spring.js"></script>
  <script type="text/javascript" src="../JS/points_by_percent.js"></script>
  <script type="text/javascript" src="../JS/data.js"></script>

</body>

</html>